---
updatedAt: 2026-06-02T08:28:43.000Z
agentTools:
  projectIndex: https://developers.smartrecruiters.com/llms.txt
---

# enable the company integration


            Set up integration.
            1. Validates if token has client_credentials_write scope (created using master credentials)
            2. Validates if company gave consent for integration with partner
            3. Saves credentials send by the partner
            4. Created credentials for current company
            5. Sends created credentials back to partner

# OpenAPI definition

```json
{
  "openapi": "3.0.1",
  "info": {
    "title": "Assessment Partner API",
    "description": "Assessment Partner API",
    "version": "1.0",
    "contact": {
      "name": "SmartRecruiters",
      "url": "https://developers.smartrecruiters.com"
    }
  },
  "servers": [
    {
      "url": "https://api.smartrecruiters.com/assessment-api/v202010"
    }
  ],
  "paths": {
    "/integration/company/{companyId}": {
      "post": {
        "tags": [
          "integration"
        ],
        "summary": "enable the company integration",
        "description": "\n            Set up integration.\n            1. Validates if token has client_credentials_write scope (created using master credentials)\n            2. Validates if company gave consent for integration with partner\n            3. Saves credentials send by the partner\n            4. Created credentials for current company\n            5. Sends created credentials back to partner",
        "operationId": "setUpIntegration",
        "parameters": [
          {
            "name": "companyId",
            "in": "path",
            "required": true,
            "schema": {
              "type": "string"
            }
          }
        ],
        "requestBody": {
          "content": {
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/ClientCredentials"
              }
            }
          }
        },
        "responses": {
          "200": {
            "description": "Customer-level integration credentials",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ClientCredentials"
                }
              }
            }
          },
          "400": {
            "description": "Invalid request body",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ErrorResponse"
                }
              }
            }
          },
          "401": {
            "description": "Unauthorized request",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ErrorResponse"
                }
              }
            }
          },
          "403": {
            "description": "Request missed required scopes or company did not give consent for integration",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ErrorResponse"
                }
              }
            }
          },
          "404": {
            "description": "Partner configuration does not exist",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ErrorResponse"
                }
              }
            }
          },
          "409": {
            "description": "Partner already integrated for company",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ErrorResponse"
                }
              }
            }
          }
        },
        "security": [
          {
            "oauth2_master": [
              "partner_configuration_manage"
            ]
          }
        ]
      }
    }
  },
  "components": {
    "schemas": {
      "Error": {
        "required": [
          "code"
        ],
        "type": "object",
        "properties": {
          "code": {
            "type": "string"
          },
          "message": {
            "type": "string"
          }
        }
      },
      "ErrorResponse": {
        "required": [
          "errors"
        ],
        "type": "object",
        "properties": {
          "errors": {
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/Error"
            }
          }
        }
      },
      "ClientCredentials": {
        "required": [
          "clientId",
          "clientSecret"
        ],
        "type": "object",
        "properties": {
          "clientId": {
            "type": "string"
          },
          "clientSecret": {
            "type": "string"
          }
        }
      }
    },
    "securitySchemes": {
      "oauth2_master": {
        "type": "oauth2",
        "flows": {
          "clientCredentials": {
            "tokenUrl": "https://api.smartrecruiters.com/identity/oauth/token",
            "scopes": {
              "partner_configuration_manage": "Allows modification of global configuration and creation of customer level integrations"
            }
          }
        }
      }
    }
  },
  "x-readme": {
    "explorer-enabled": true,
    "proxy-enabled": true,
    "samples-enabled": true
  }
}
```